GNU bug report logs - #28341
RFE: focusing on source vs. symptoms (reducing duplicate error ouput)

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: coreutils; Severity: wishlist; Reported by: L A Walsh <coreutils@HIDDEN>; merged with #28036; dated Sun, 3 Sep 2017 22:08:01 UTC; Maintainer for coreutils is bug-coreutils@HIDDEN.
Severity set to 'wishlist' from 'normal' Request was from Assaf Gordon <assafgordon@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Forcibly Merged 28036 28341. Request was from Assaf Gordon <assafgordon@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 28341 <at> debbugs.gnu.org:


Received: (at 28341) by debbugs.gnu.org; 4 Sep 2017 17:38:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Sep 04 13:38:38 2017
Received: from localhost ([127.0.0.1]:49182 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1dovKY-0000J1-Oi
	for submit <at> debbugs.gnu.org; Mon, 04 Sep 2017 13:38:38 -0400
Received: from zimbra.cs.ucla.edu ([131.179.128.68]:46170)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eggert@HIDDEN>) id 1dovKX-0000Io-3u
 for 28341 <at> debbugs.gnu.org; Mon, 04 Sep 2017 13:38:37 -0400
Received: from localhost (localhost [127.0.0.1])
 by zimbra.cs.ucla.edu (Postfix) with ESMTP id 3094A1609D7;
 Mon,  4 Sep 2017 10:38:31 -0700 (PDT)
Received: from zimbra.cs.ucla.edu ([127.0.0.1])
 by localhost (zimbra.cs.ucla.edu [127.0.0.1]) (amavisd-new, port 10032)
 with ESMTP id WKK86fxgCJVH; Mon,  4 Sep 2017 10:38:25 -0700 (PDT)
Received: from localhost (localhost [127.0.0.1])
 by zimbra.cs.ucla.edu (Postfix) with ESMTP id A8A8C1609D8;
 Mon,  4 Sep 2017 10:38:25 -0700 (PDT)
X-Virus-Scanned: amavisd-new at zimbra.cs.ucla.edu
Received: from zimbra.cs.ucla.edu ([127.0.0.1])
 by localhost (zimbra.cs.ucla.edu [127.0.0.1]) (amavisd-new, port 10026)
 with ESMTP id jxJOhC0DRZsL; Mon,  4 Sep 2017 10:38:25 -0700 (PDT)
Received: from [192.168.1.9] (unknown [47.153.184.153])
 by zimbra.cs.ucla.edu (Postfix) with ESMTPSA id 865C11609CF;
 Mon,  4 Sep 2017 10:38:25 -0700 (PDT)
Subject: Re: bug#28341: RFE: focusing on source vs. symptoms (reducing
 duplicate error ouput)
To: L A Walsh <coreutils@HIDDEN>, 28341 <at> debbugs.gnu.org
References: <59AC7CF9.7070103@HIDDEN>
From: Paul Eggert <eggert@HIDDEN>
Organization: UCLA Computer Science Department
Message-ID: <cb13fb99-7594-131a-734c-4be1e71cd9c4@HIDDEN>
Date: Mon, 4 Sep 2017 10:38:25 -0700
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:52.0) Gecko/20100101
 Thunderbird/52.2.1
MIME-Version: 1.0
In-Reply-To: <59AC7CF9.7070103@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 28341
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

L A Walsh wrote:
> If Target file system doesn't support preserving permissions,
> it would be more useful to issue 1 error message for the
> _source_ of the problem (the directory)

That would be more useful in some circumstances. However, I expect some people 
are used to the longstanding behavior, which is more in line with what POSIX 
requires. We could add an option to supress chatter, though.




Information forwarded to bug-coreutils@HIDDEN:
bug#28341; Package coreutils. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 3 Sep 2017 22:07:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Sep 03 18:07:18 2017
Received: from localhost ([127.0.0.1]:47006 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1dod30-0000Uh-1o
	for submit <at> debbugs.gnu.org; Sun, 03 Sep 2017 18:07:18 -0400
Received: from eggs.gnu.org ([208.118.235.92]:36697)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <coreutils@HIDDEN>) id 1dod2y-0000UU-DW
 for submit <at> debbugs.gnu.org; Sun, 03 Sep 2017 18:07:16 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <coreutils@HIDDEN>) id 1dod2o-0004Ry-KV
 for submit <at> debbugs.gnu.org; Sun, 03 Sep 2017 18:07:11 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50 autolearn=disabled
 version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:37854)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <coreutils@HIDDEN>) id 1dod2o-0004Ro-Gk
 for submit <at> debbugs.gnu.org; Sun, 03 Sep 2017 18:07:06 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:55896)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <coreutils@HIDDEN>) id 1dod2j-0001nY-QZ
 for bug-coreutils@HIDDEN; Sun, 03 Sep 2017 18:07:06 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <coreutils@HIDDEN>) id 1dod2f-0004MK-4O
 for bug-coreutils@HIDDEN; Sun, 03 Sep 2017 18:07:01 -0400
Received: from ishtar.tlinx.org ([173.164.175.65]:49364
 helo=Ishtar.sc.tlinx.org)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <coreutils@HIDDEN>) id 1dod2e-0004IX-NS
 for bug-coreutils@HIDDEN; Sun, 03 Sep 2017 18:06:57 -0400
Received: from [192.168.3.12] (Athenae [192.168.3.12])
 by Ishtar.sc.tlinx.org (8.14.7/8.14.4/SuSE Linux 0.8) with ESMTP id
 v83M6ntT011908
 for <bug-coreutils@HIDDEN>; Sun, 3 Sep 2017 15:06:52 -0700
Message-ID: <59AC7CF9.7070103@HIDDEN>
Date: Sun, 03 Sep 2017 15:06:49 -0700
From: L A Walsh <coreutils@HIDDEN>
User-Agent: Thunderbird
MIME-Version: 1.0
To: bug-coreutils@HIDDEN
Subject: RFE: focusing on source vs. symptoms (reducing duplicate error ouput)
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: quoted-printable
X-MIME-Autoconverted: from 8bit to quoted-printable by Ishtar.sc.tlinx.org id
 v83M6ntT011908
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x (no
 timestamps) [generic] [fuzzy]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

(Originally posted w/2 separable issues merged: splitting.)
=20
In copying to a directory from a file system that has no unix
permission bits (from one that does), one gets many duplicate
error messages.  Ex, copying from from a standard linux file
system to a VFAT FS, cp reported:
=20
>  cp -a Valkyrja /l/
cp: preserving permissions for =E2=80=98/l/Valkyrja/folder.jpg=E2=80=99: =
Not supported
cp: preserving permissions for =E2=80=98/l/Valkyrja/01 Valkyrja(=E3=83=B4=
=E3=82=A1=E3=83=AB=E3=82=AD=E3=83=AA=E3=82=A2).=20
flac=E2=80=99: Not supported
cp: preserving permissions for =E2=80=98/l/Valkyrja/02 =E5=A6=96=E7=B2=BE=
=E5=B8=9D=E5=9C=8B.flac=E2=80=99: Not=20
supported
cp: preserving permissions for =E2=80=98/l/Valkyrja/Scans/mo07.jpg=E2=80=99=
: Not supported
cp: preserving permissions for =E2=80=98/l/Valkyrja/Scans/mo05.jpg=E2=80=99=
: Not supported
cp: preserving permissions for =E2=80=98/l/Valkyrja/Scans/mo06.jpg=E2=80=99=
: Not supported
cp: preserving permissions for =E2=80=98/l/Valkyrja/Scans/mo01.jpg=E2=80=99=
: Not supported
...


If Target file system doesn't support preserving permissions,
it would be more useful to issue 1 error message for the
_source_ of the problem (the directory) than 100's to 1000's of messages
for each failure (symptoms of problem).  Maybe
something along the lines of (w/optional clarification in parens):

>  cp -a Valkyrja /l/
cp: preserving permissions for destination '/l/': Not supported.
    (per-file permissions-Not-supported messages suppressed)

Thanks...
linda






Acknowledgement sent to L A Walsh <coreutils@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-coreutils@HIDDEN. Full text available.
Report forwarded to bug-coreutils@HIDDEN:
bug#28341; Package coreutils. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Tue, 30 Oct 2018 09:15:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.